org.springframework.messaging.simp.broker

## Class BrokerAvailabilityEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.messaging.simp.broker.BrokerAvailabilityEvent

All Implemented Interfaces:
  Serializable

    public class BrokerAvailabilityEvent
    extends org.springframework.context.ApplicationEvent

Event raised when a broker's availability changes.

Author:
  Andy Wilkinson
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`BrokerAvailabilityEvent(boolean brokerAvailable, Object source)` Creates a new `BrokerAvailabilityEvent`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isBrokerAvailable()`
`String` `toString()`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BrokerAvailabilityEvent

    public BrokerAvailabilityEvent(boolean brokerAvailable,
                                   Object source)

Creates a new `BrokerAvailabilityEvent`.

Parameters:
  `brokerAvailable` - `true` if the broker is available, false otherwise
  `source` - the component that is acting as the broker, or as a relay for an external broker, that has changed availability. Must not be `null`.

### Method Detail

#### isBrokerAvailable

    public boolean isBrokerAvailable()

#### toString

    public String toString()

Overrides:
  `toString` in class `EventObject`